"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LsifSymbol = void 0;
const Descriptor_1 = require("./Descriptor");
class LsifSymbol {
    constructor(value) {
        this.value = value;
    }
    isEmpty() {
        return this.value === '';
    }
    isLocal() {
        return this.value.startsWith('local ');
    }
    static local(counter) {
        return new LsifSymbol(`local ${counter}`);
    }
    static empty() {
        return new LsifSymbol('');
    }
    static package(name, version) {
        return new LsifSymbol(`scip-typescript npm ${name} ${version} `);
    }
    static global(owner, descriptor) {
        return new LsifSymbol(owner.value + (0, Descriptor_1.descriptorString)(descriptor));
    }
}
exports.LsifSymbol = LsifSymbol;
